
// #ifndef VUE3
import Vue from 'vue'
import App from './App'
import store from './store';
// 引入自定义组件
import NavBar from './components/nav-bar.vue'
import baner from './components/swiper-baner.vue'
import list from './components/list.vue'
import imgList from './components/imgList.vue'
import goosList from './components/goosList.vue'
Vue.config.productionTip = false
App.mpType = 'app'

Vue.component('navbar', NavBar)
Vue.component('baner', baner)
Vue.component('list', list)
Vue.component('imgList', imgList)
Vue.component('goosList', goosList)
const app = new Vue({
  store,
  ...App
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
import App from './App.vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif